## redhat-cluster 2.20080227

=== Makefile ===
###############################################################################
###############################################################################
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

include make/defines.mk

REALSUBDIRS = gnbd-kernel/src gfs-kernel/src/gfs \
	      cman/lib ccs cman dlm group fence gfs gfs2 gnbd rgmanager

SUBDIRS = $(filter-out \
	  $(if ${without_gnbd-kernel/src},gnbd-kernel/src) \
	  $(if ${without_gfs-kernel/src/gfs},gfs-kernel/src/gfs) \
	  $(if ${without_cman},cman/lib) \
	  $(if ${without_ccs},ccs) \
	  $(if ${without_cman},cman) \
	  $(if ${without_dlm},dlm) \
	  $(if ${without_group},group) \
	  $(if ${without_fence},fence) \
	  $(if ${without_gfs},gfs) \
	  $(if ${without_gfs2},gfs2) \
	  $(if ${without_gnbd},gnbd) \
	  $(if ${without_rgmanager},rgmanager) \
	  , $(REALSUBDIRS))

all: scripts ${SUBDIRS}

# Fix scripts permissions
scripts:
	chmod 755 ${SRCDIR}/scripts/*.pl ${SRCDIR}/scripts/define2var

${SUBDIRS}:
	[ -n "${without_$@}" ] || ${MAKE} -C $@ all

# Kernel

gnbd-kernel: gnbd-kernel/src
gfs-kernel: gfs-kernel/src/gfs

# Dependencies

cman/lib:
ccs: cman/lib
cman: ccs
dlm:
group: ccs dlm
fence: group dlm
gfs:
gfs2:
gnbd: cman/lib
rgmanager: ccs dlm

install: all
	set -e && for i in ${SUBDIRS}; do ${MAKE} -C $$i $@; done

uninstall:
	set -e && for i in ${SUBDIRS}; do ${MAKE} -C $$i $@; done

clean:
	set -e && for i in ${REALSUBDIRS}; do ${MAKE} -C $$i $@; done

distclean: clean
	rm -f make/defines.mk
	rm -f *tar.gz
	rm -rf build

.PHONY: scripts ${REALSUBDIRS}

=== cman/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##  
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=lib cman_tool daemon qdisk init.d man

=== fence/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##  
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=agents fenced fence_node fence_tool man

=== gfs/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

include ../make/defines.mk

SUBDIRS=libgfs gfs_debug gfs_edit gfs_fsck gfs_grow gfs_jadd gfs_mkfs gfs_quota gfs_tool man init.d

all: ${SUBDIRS}

%:
	set -e && \
	for i in ${SUBDIRS}; do \
		${MAKE} -C $$i $@; \
	done; \
	if [ "$@" = "install" ]; then \
		mkdir -p ${DESTDIR}/sbin; \
		cd ${DESTDIR}/sbin; \
			ln -sf mount.gfs2 mount.gfs; \
			ln -sf umount.gfs2 umount.gfs; \
	fi; \
	if [ "$@" = "uninstall" ]; then \
		cd ${DESTDIR}/sbin; rm -f mount.gfs umount.gfs; \
	fi

=== ccs/ccs_test/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= ccs_test

SBINDIRT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

OBJS=	ccs_test.o

CFLAGS += -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
CFLAGS += -I${ccsincdir}
CFLAGS += -I${incdir}

LDFLAGS += -L${ccslibdir} -lccs


${TARGET}: ${OBJS}
	$(CC) -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

.PHONY: all ${TARGET}

=== ccs/ccs_tool/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2005 Red Hat, Inc.  All rights reserved.
##  
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= ccs_tool

SBINDIRT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

OBJS=	ccs_tool.o \
	update.o \
	upgrade.o \
	old_parser.o \
	editconf.o

CFLAGS += -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
CFLAGS += -I${ccsincdir} -I${cmanincdir} `xml2-config --cflags`
CFLAGS += -I$(S)/../include
CFLAGS += -I${incdir}

LDFLAGS += -L${ccslibdir} -L${cmanlibdir} -lccs -lcman
LDFLAGS += `xml2-config --libs` -L${libdir}


${TARGET}: ${OBJS}
	$(CC) -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

.PHONY: all ${TARGET}

=== cman/cman_tool/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= cman_tool

SBINDIRT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

OBJS=	main.o \
	join.o

CFLAGS += -DAISEXECBIN=\"${aisexecbin}\"
CFLAGS += -I${ccsincdir} -I${cmanincdir}
CFLAGS += -I${incdir}

LDFLAGS += -L${ccslibdir} -L${cmanlibdir} -lccs -lcman


${TARGET}: ${OBJS}
	$(CC) -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

=== cman/daemon/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= service_cman.lcrso

LCRSOT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

CFLAGS += -DOPENAIS_EXTERNAL_SERVICE
CFLAGS += -fPIC
CFLAGS += -I${ccsincdir} -I${openaisincdir}
CFLAGS += -I${incdir}

LDFLAGS += -L${ccslibdir} -lccs 

OBJS=	daemon.o \
	config.o \
	logging.o \
	ais.o \
	commands.o \
	barrier.o \
	cmanccs.o


${TARGET}: ${OBJS}
	$(CC) -shared -Wl,-soname,$@ -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

=== cman/lib/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) Sistina Software, Inc.  1997-2004  All rights reserved.
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##  
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= libcman

LIBDIRT=$(TARGET).a \
	$(TARGET).so.$(RELEASE_MAJOR).$(RELEASE_MINOR)

LIBSYMT=$(TARGET).so \
	$(TARGET).so.$(RELEASE_MAJOR)

INCDIRT=$(TARGET).h

include ../../make/defines.mk

SHAREDLIB=$(TARGET).so.${RELEASE_MAJOR}.${RELEASE_MINOR}
STATICLIB=$(TARGET).a

all: $(STATICLIB) $(SHAREDLIB)

include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

CFLAGS += -fPIC
CFLAGS += -I${cmanincdir} -I$(S)/../daemon
CFLAGS += -I${incdir}

$(TARGET).a: $(TARGET).o
	${AR} r $@ $^
	${RANLIB} $@

$(TARGET).so.${RELEASE_MAJOR}.${RELEASE_MINOR}: $(TARGET).o
	$(CC) -shared -o $@ -Wl,-soname=$(TARGET).so.$(RELEASE_MAJOR) $<
	ln -sf $(TARGET).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET).so
	ln -sf $(TARGET).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET).so.$(RELEASE_MAJOR)

clean: generalclean

=== csnap/src/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

binaries = mksnapstore csnap-server csnap-create csnap-delete csnap-agent
deps = csnap.h trace.h sock.h buffer.h list.h

top_srcdir=..
include $(top_srcdir)/make/defines.mk

all: buffer.o $(binaries)

buffer.o: buffer.c $(deps)
	cc -g -Wall buffer.c -c

mksnapstore: csnap.c buffer.o $(deps)
	cc -g -Wall csnap.c buffer.o -DCREATE -o mksnapstore -lpopt

csnap-server: csnap.c buffer.o $(deps)
	cc -g -Wall csnap.c buffer.o -DSERVER -o csnap-server -lpopt

csnap-agent: agent.c $(deps)
	cc -g -Wall agent.c -I../../../ -ldlm -lmagma -ldl -lpthread -o csnap-agent -lpopt

csnap-create csnap-delete: create.c $(deps)
	cc -Wall create.c -DCREATE -o csnap-create -lpopt
	cc -Wall create.c -DDELETE -o csnap-delete -lpopt

install: all
	if [ ! -d ${sbindir} ]; then \
		install -d ${sbindir}; \
	fi
	install -m755 ${binaries} ${sbindir}

clean:
	rm -f $(binaries) *.o a.out

=== dlm/lib/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) Sistina Software, Inc.  1997-2004  All rights reserved.
##  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
##  
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

TARGET= libdlm

LIBDIRT=$(TARGET).a \
	$(TARGET)_lt.a \
	$(TARGET).so.${RELEASE_MAJOR}.${RELEASE_MINOR} \
	$(TARGET)_lt.so.${RELEASE_MAJOR}.${RELEASE_MINOR}

LIBSYMT=$(TARGET).so \
	$(TARGET)_lt.so \
	$(TARGET).so.$(RELEASE_MAJOR) \
	$(TARGET)_lt.so.$(RELEASE_MAJOR)

INCDIRT=$(TARGET).h

UDEVT=51-dlm.rules

include ../../make/defines.mk

SHAREDLIB=$(TARGET).so.${RELEASE_MAJOR}.${RELEASE_MINOR} $(TARGET)_lt.so.${RELEASE_MAJOR}.${RELEASE_MINOR}
STATICLIB=$(TARGET).a $(TARGET)_lt.a

all: $(STATICLIB) $(SHAREDLIB)

include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

AISTARGET= libaislock

CFLAGS += -I$(S)
CFLAGS += -I${incdir}
CFLAGS += -I$(KERNEL_SRC)/include

PTHREAD_LDFLAGS += -lpthread 

$(TARGET).a: $(TARGET).o $(AISTARGET).o
	${AR} r $@ $^
	${RANLIB} $@

$(TARGET)_lt.a: $(TARGET)_lt.o
	${AR} r $@ $^
	${RANLIB} $@

$(TARGET).so.${RELEASE_MAJOR}.${RELEASE_MINOR}: $(TARGET).po $(AISTARGET).po
	$(CC) $(PTHREAD_LDFLAGS) $(LDFLAGS) -shared -o $@ -Wl,-soname=$(TARGET).so.$(RELEASE_MAJOR) $<
	ln -sf $(TARGET).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET).so
	ln -sf $(TARGET).so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET).so.$(RELEASE_MAJOR)

$(TARGET)_lt.so.${RELEASE_MAJOR}.${RELEASE_MINOR}: $(TARGET)_lt.po
	$(CC) $(LDFLAGS) -shared -o $@ -Wl,-soname=$(TARGET)_lt.so.$(RELEASE_MAJOR) $<
	ln -sf $(TARGET)_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET)_lt.so
	ln -sf $(TARGET)_lt.so.$(RELEASE_MAJOR).$(RELEASE_MINOR) $(TARGET)_lt.so.$(RELEASE_MAJOR)

%_lt.o: $(S)/%.c
	$(CC) $(CFLAGS) -c -o $@ $<

%_lt.po: $(S)/%.c
	$(CC) $(CFLAGS) -fPIC -c -o $@ $<

%.o: $(S)/%.c
	$(CC) $(CFLAGS) -D_REENTRANT -c -o $@ $<

%.po: $(S)/%.c
	$(CC) $(CFLAGS) -fPIC -D_REENTRANT -c -o $@ $<

clean: generalclean

=== dlm/tests/Makefile ===
###############################################################################
###############################################################################
##
##  Copyright (C) 2007 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

include ../../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=usertest

## redhat-cluster 3.0.2

=== contrib/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

ifdef contrib_code
SUBDIRS=libaislock
endif

=== cman/init.d/Makefile ===
TARGET=cman

INITDT=$(TARGET)

all: $(TARGET)

include ../../make/defines.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

$(TARGET): $(S)/$(TARGET).in
	cat $(S)/$(TARGET).in | sed \
		-e 's#@SBINDIR@#${sbindir}#g' \
		-e 's#@INITDDIR@#${initddir}#g' \
		-e 's#@NOTIFYDDIR@#${notifyddir}#g' \
		-e 's#@CONFDIR@#${CONFDIR}#g' \
		-e 's#@CONFFILE@#${CONFFILE}#g' \
	> $(TARGET)

clean: generalclean

=== gfs2/tool/Makefile ===
TARGET= gfs2_tool

SBINDIRT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

OBJS=	main.o \
	misc.o \
	ondisk.o \
	sb.o \
	tune.o

CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -I${KERNEL_SRC}/fs/gfs2/ -I${KERNEL_SRC}/include/
CFLAGS += -I$(S)/../include -I$(S)/../libgfs2
CFLAGS += -I${incdir}

LDFLAGS += -L../libgfs2 -lgfs2
LDFLAGS += -L${libdir}

LDDEPS += ../libgfs2/libgfs2.a

${TARGET}: ${OBJS} ${LDDEPS}
	$(CC) -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../libgfs2 all

clean: generalclean

-include $(OBJS:.o=.d)

=== group/gfs_controld/Makefile ===
TARGET= gfs_controld

SBINDIRT=$(TARGET)

all: depends ${TARGET}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

OBJS= 	main.o \
	member_cman.o \
	config.o \
	crc.o \
	cpg-new.o \
	cpg-old.o \
	group.o \
	util.o \
	plock.o \
	logging.o

CFLAGS += -I${ccsincdir} -I${cmanincdir} -I${logtincdir} -I${dlmcontrolincdir}
CFLAGS += -I${corosyncincdir} -I${openaisincdir}
CFLAGS += -I${KERNEL_SRC}/include/
CFLAGS += -I$(S)/../libgfscontrol -I$(S)/../../fence/libfenced/
CFLAGS += -I$(S)/../lib/ -I$(S)/../include/
CFLAGS += -I${incdir}

LDFLAGS += -L${ccslibdir} -lccs -L${cmanlibdir} -lcman
LDFLAGS += -L${dlmcontrollibdir} -ldlmcontrol
LDFLAGS += -L${logtlibdir} -llogthread
LDFLAGS += -L${corosynclibdir} -lcpg -lpthread
LDFLAGS += -L${openaislibdir} -lSaCkpt
LDFLAGS += -L../../fence/libfenced/ -lfenced
LDFLAGS += -L../lib -lgroup
LDFLAGS += -L${libdir}

LDDEPS += ../lib/libgroup.a
LDDEPS += ../../fence/libfenced/libfenced.a

${TARGET}: ${OBJS} ${LDDEPS}
	$(CC) -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

-include $(OBJS:.o=.d)

=== fence/agents/apc_snmp/Makefile ===
TARGET= fence_apc_snmp

include ../../../make/defines.mk
include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/ilo_mp/Makefile ===
include ../../../make/defines.mk

TARGET= fence_ilo_mp

include $(OBJDIR)/make/fencebuild.mk

## redhat-cluster 3.0.12

=== group/dlm_controld/Makefile ===
include ../../make/defines.mk

TARGET = dlm_controld
SBINDIRT = dlm_controld
ifdef enable_pacemaker
TARGET += dlm_controld.pcmk
SBINDIRT += dlm_controld.pcmk
endif

all: depends ${TARGET}

include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

SHAREDOBJS=	action.o \
		cpg.o \
		crc.o \
		deadlock.o \
		main.o \
		netlink.o \
		plock.o \
		group.o

PCMK_OBJS=	pacemaker-pcmk.o \
		$(SHAREDOBJS:.o=-pcmk.o)

OBJS=		$(SHAREDOBJS) \
		config.o \
		member_cman.o \
		logging.o

CFLAGS += -I${ccsincdir} -I${cmanincdir} -I${logtincdir} 
CFLAGS += -I${dlmincdir} -I${dlmcontrolincdir}
CFLAGS += -I${corosyncincdir} -I${openaisincdir}
CFLAGS += -I${fencedincdir}
CFLAGS += -I${KERNEL_SRC}/include/
CFLAGS += -I$(S)/../lib/ -I$(S)/../include/
CFLAGS += -I${incdir}

PCMK_CFLAGS += -DENABLE_PACEMAKER=1
PCMK_CFLAGS += -I${incdir}/heartbeat -I${incdir}/pacemaker
PCMK_CFLAGS += `pkg-config glib-2.0 --cflags`
PCMK_CFLAGS += `xml2-config --cflags`

LDFLAGS += -lpthread
LDFLAGS += -L${dlmlibdir} -ldlm 
LDFLAGS += -L${logtlibdir} -llogthread
LDFLAGS += -L${openaislibdir} -lSaCkpt
LDFLAGS += -L${corosynclibdir} -lcpg -lconfdb
LDFLAGS += -L../lib -lgroup
LDFLAGS += -L${libdir}

LDDEPS += ../lib/libgroup.a

PCMK_LDFLAGS += -lcib -lcrmcommon -lcrmcluster -ltotem_pg
PCMK_LDFLAGS += `pkg-config glib-2.0 --libs`
PCMK_LDFLAGS += `xml2-config --libs`

CMAN_LDFLAGS += -L${ccslibdir} -L${cmanlibdir} -lccs -lcman
CMAN_LDFLAGS += -L${fencedlibdir} -lfenced

dlm_controld: ${OBJS} ${LDDEPS}
	$(CC) -o $@ $^ $(LDFLAGS) $(CMAN_LDFLAGS)

dlm_controld.pcmk: ${PCMK_OBJS} ${LDDEPS}
	$(CC) -o $@ $^ $(LDFLAGS) $(PCMK_LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

-include $(OBJS:.o=.d)
-include $(PCMK_OBJS:.o=.d)

=== fence/agents/apc/Makefile ===
include ../../../make/defines.mk

TARGET= fence_apc

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/cisco_mds/Makefile ===
include ../../../make/defines.mk

TARGET= fence_cisco_mds

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/drac5/Makefile ===
include ../../../make/defines.mk

TARGET= fence_drac5

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/ilo/Makefile ===
include ../../../make/defines.mk

TARGET= fence_ilo

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/ilo_mp/Makefile ===
--- 
+++ 
@@ -2,4 +2,6 @@
 
 TARGET= fence_ilo_mp
 
+MAKEMAN = 1
+
 include $(OBJDIR)/make/fencebuild.mk

=== fence/agents/wti/Makefile ===
include ../../../make/defines.mk

TARGET= fence_wti

MAKEMAN = 1

include $(OBJDIR)/make/fencebuild.mk

## redhat-cluster 3.1.7

=== Makefile ===
include make/defines.mk

REALSUBDIRS = common config cman dlm fence/libfenced group \
	      fence rgmanager bindings doc contrib

SUBDIRS = $(filter-out \
	  $(if ${without_common},common) \
	  $(if ${without_config},config) \
	  $(if ${without_cman},cman) \
	  $(if ${without_dlm},dlm) \
	  $(if ${without_fence},fence/libfenced) \
	  $(if ${without_group},group) \
	  $(if ${without_fence},fence) \
	  $(if ${without_rgmanager},rgmanager) \
	  $(if ${without_bindings},bindings) \
	  , $(REALSUBDIRS))

all: ${SUBDIRS}

${SUBDIRS}:
	${MAKE} -C $@ all

# Dependencies

common:
config:
cman: common config
dlm: config
fence/libfenced:
group: cman dlm fence/libfenced
fence: group
rgmanager: cman dlm
bindings: cman
contrib: dlm

oldconfig:
	@if [ -f $(OBJDIR)/.configure.sh ]; then \
		sh $(OBJDIR)/.configure.sh; \
	else \
		echo "Unable to find old configuration data"; \
	fi

install:
	set -e && for i in ${SUBDIRS}; do ${MAKE} -C $$i $@; done
	install -d ${notifyddir}
	install -d ${logdir}
	install -d ${DESTDIR}/var/lib/cluster
	install -d ${DESTDIR}/var/run/cluster

uninstall:
	set -e && for i in ${SUBDIRS}; do ${MAKE} -C $$i $@; done
	rmdir ${notifyddir} || :;
	rmdir ${logdir} || :;
	rmdir ${DESTDIR}/var/lib/cluster || :;
	rmdir ${DESTDIR}/var/run/cluster || :;

clean:
	set -e && for i in ${REALSUBDIRS}; do \
		contrib_code=1 \
		${MAKE} -C $$i $@;\
	done

distclean: clean
	rm -f make/defines.mk
	rm -f .configure.sh
	rm -f *tar.gz
	rm -rf build

.PHONY: ${REALSUBDIRS}

=== cman/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=lib cman_tool daemon qdisk notifyd init.d man scripts

=== doc/Makefile ===
DOCS =	usage.txt \
	COPYING.applications \
	COPYING.libraries \
	COPYRIGHT \
	README.licence \
	cluster_conf.html

TARGET= cluster

LOGRORATED = $(TARGET)

all: $(TARGET)

include ../make/defines.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk
include $(OBJDIR)/make/clean.mk

$(TARGET):
	cat $(S)/$(TARGET).logrotate.in | sed \
		-e 's#@LOGDIR@#${logdir}#g' \
	> $(TARGET)

clean: generalclean

=== fence/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS=libfence libfenced fenced fence_node fence_tool man

=== group/Makefile ===
include ../make/defines.mk
include $(OBJDIR)/make/passthrough.mk

SUBDIRS = lib dlm_controld tool daemon man

=== cman/daemon/Makefile ===
TARGET1= service_cman.lcrso
TARGET2= config_cmanpre.lcrso

LCRSOT=$(TARGET1) $(TARGET2)

all: depends ${TARGET1} ${TARGET2}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

CFLAGS += -fPIC
CFLAGS += -I${openaisincdir} -I${corosyncincdir}
CFLAGS += -I${incdir}

LDFLAGS += -L${libdir}

OBJS1=	daemon.o \
	ais.o \
	commands.o \
	barrier.o \
	cmanconfig.o

OBJS2=	cman-preconfig.o \
	fnvhash.o

${TARGET1}: ${OBJS1}
	$(CC) -shared -Wl,-soname,$@ -o $@ $^ $(LDFLAGS)

${TARGET2}: ${OBJS2}
	$(CC) -shared -Wl,-soname,$@ -o $@ $^ $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean 

-include $(OBJS1:.o=.d)
-include $(OBJS2:.o=.d)

=== cman/init.d/Makefile ===
TARGET=cman cman.init.defaults

INITDT=cman 

all: $(TARGET)

include ../../make/defines.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

%: $(S)/%.in
	cat $^ | sed \
		-e 's#@SBINDIR@#${sbindir}#g' \
		-e 's#@INITDDIR@#${initddir}#g' \
		-e 's#@NOTIFYDDIR@#${notifyddir}#g' \
		-e 's#@CONFDIR@#${CONFDIR}#g' \
		-e 's#@CONFFILE@#${CONFFILE}#g' \
	> $@

clean: generalclean

=== cman/man/Makefile ===
MANTARGET= \
	cman.5 \
	qdisk.5 \
	cman_tool.8 \
	qdiskd.8 \
	mkqdisk.8 \
	cmannotifyd.8 \
	cman_notify.8 \
	checkquorum.8

include ../../make/defines.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean:

=== cman/qdisk/Makefile ===
TARGET1= qdiskd
TARGET2= mkqdisk

SBINDIRT=${TARGET1} ${TARGET2}

all: depends ${TARGET1} ${TARGET2}

include ../../make/defines.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

CFLAGS += -D_GNU_SOURCE
CFLAGS += -I${ccsincdir} -I${cmanincdir} -I${logtincdir}
CFLAGS += -I${zlibincdir} 
CFLAGS += -I$(S)
CFLAGS += -I${incdir}

LDFLAGS += -L${logtlibdir} -llogthread -lpthread
LDFLAGS += -L${zliblibdir} -lz -lrt
LDFLAGS += -L${libdir}

EXTRA_LDFLAGS += -L${cmanlibdir} -L${ccslibdir} -lcman -lccs

OBJS1=	main.o \
	score.o \
	bitmap.o \
	daemon_init.o

OBJS2=	mkqdisk.o

SHAREDOBJS= disk.o \
	    disk_util.o \
	    proc.o \
	    scandisk.o \
	    iostate.o

${TARGET1}: ${SHAREDOBJS} ${OBJS1}
	$(CC) -o $@ $^ $(EXTRA_LDFLAGS) $(LDFLAGS)

${TARGET2}: ${SHAREDOBJS} ${OBJS2}
	$(CC) -o $@ $^ $(EXTRA_LDFLAGS) $(LDFLAGS)

depends:
	$(MAKE) -C ../lib all

clean: generalclean

-include $(OBJS1:.o=.d)
-include $(OBJS2:.o=.d)
-include $(SHAREDOBJS:.o=.d)

=== cman/scripts/Makefile ===
SHAREDIRTEX=checkquorum

include ../../make/defines.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean: generalclean

=== dlm/libdlmcontrol/Makefile ===
TARGET= libdlmcontrol

OBJS=	main.o

SOMINOR=1

include ../../make/defines.mk
include $(OBJDIR)/make/libs.mk
include $(OBJDIR)/make/cobj.mk
include $(OBJDIR)/make/clean.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

CFLAGS += -fPIC
CFLAGS += -I$(S)/../../group/dlm_controld
CFLAGS += -I${incdir}
CFLAGS += -I$(KERNEL_SRC)/include

=== dlm/man/Makefile ===
MANTARGET= \
	dlm_cleanup.3 \
	dlm_close_lockspace.3 \
	dlm_create_lockspace.3 \
	dlm_dispatch.3 \
	dlm_get_fd.3 \
	dlm_lock.3 \
	dlm_lock_wait.3 \
	dlm_ls_lock.3 \
	dlm_ls_lockx.3 \
	dlm_ls_lock_wait.3 \
	dlm_ls_pthread_init.3 \
	dlm_ls_unlock.3 \
	dlm_ls_unlock_wait.3 \
	dlm_new_lockspace.3 \
	dlm_open_lockspace.3 \
	dlm_pthread_init.3 \
	dlm_release_lockspace.3 \
	dlm_unlock.3 \
	dlm_unlock_wait.3 \
	libdlm.3 \
	dlm_tool.8

include ../../make/defines.mk
include $(OBJDIR)/make/install.mk
include $(OBJDIR)/make/uninstall.mk

all:

clean:

## redhat-cluster 3.1.8

=== debian/changelog ===
redhat-cluster (3.1.8-1.2) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libccs-perl.install executable and use $Config{vendorarch} to
    get dynamic path
    (Closes: #752811)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 12:34:59 +0000

redhat-cluster (3.1.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop clvm Depends for redhat-cluster-suite binary package.
    Cluster (clvm) support was dropped in lvm2 source package by removing
    the clvm binary package. Drop the Depends also in redhat-cluster-suite.
    (Closes: #697870)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Jan 2013 21:40:28 +0100

redhat-cluster (3.1.8-1) unstable; urgency=low

  [ Andres Rodriguez ]
  * New upstream release
  * Apply all the changes from Ubuntu.
  * Bump Standards Version.
  * debian/source/format: 3.0 (quilt).
  * Switch to dh 7.
    - debian/control: Bump debhelper build-dep.
    - debian/rules: Switch.

  [ Martin Loschwitz ]
  * Thanks a lot to Andres Rodrigues for all the great work he did on this!
  * Removed debian/control.modules.in and debian/upgrade.txt due to 
    being unnecessary now or hopelessly outdated
  * Add myself to Uploaders: in debian/control
  * Switch to dh 9.
 -- Martin Loschwitz <madkiss@debian.org>  Sun, 05 Aug 2012 08:13:00 +0000

redhat-cluster (3.0.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #650048
    - Dutch; (Jeroen Schot).  Closes: #657007
    - Polish (Michał Kułach).  Closes: #663689

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Mar 2012 07:55:19 +0100

redhat-cluster (3.0.12-3) unstable; urgency=low

  * Add missing build dependency: openais-dev. (Closes: #640346)
  * Added danish translation, thanks to Joe Dalton <joedalton2@yahoo.dk>.
    (Closes: #628209)
  * cman: depend on telnet | telnet-client to allow arbitrary telnet 
    incarnations. (Closes: #626155)
  * gfs2-tools: fix symlinks. (Closes: #625965)
  * cman: confict with fence-agents. (Closes: #639985)

 -- Frederik Schüler <fs@debian.org>  Wed, 16 Nov 2011 18:57:50 +0100

redhat-cluster (3.0.12-2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Jul 2010 10:59:21 +0200

redhat-cluster (3.0.12-1) experimental; urgency=low

  * [a45231b] New patch 0005-Remove-bashisms-from-resource-scripts.patch
    Remove bashisms from resource scripts (Closes: #581137)
  * [3df4d28] Imported Upstream version 3.0.12
  * [25ffc05] Install rgmanager manpage
  * [7e5f87f] Update jp translation (Closes: #582722) - thanks to Hideki
    Yamane

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Jun 2010 15:17:44 +0200

redhat-cluster (3.0.11-1) experimental; urgency=low

  * [9c55372] reformat ja.po
  * [ca106f6] Imported Upstream version 3.0.11
  * [03336a5] Grab libdlmcontrol.so.3.1
  * [c14c894] Enable pacemaker support - thanks a lot to Jörg Bachmann for
    testing
  * [287d065] New patch 0004-Depend-on-remote_fs.patch Depend on $remote_fs
  * [54bfc48] Bump (build-)dep on corosync.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 May 2010 18:00:47 +0200

redhat-cluster (3.0.9-2) experimental; urgency=low

  * Upload to unstbale
  * [fb1da7e] Unignore po files ignored by upstreams .gitignore file
  * [6845591] Add new vi translation (Closes: #576145) - thanks to Clytie
    Siddall
  * [aa6bf55] Add jp debconf translation (Closes: #554841) - thanks to Hideki
    Yamane 

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 May 2010 10:47:32 +0200

redhat-cluster (3.0.9-1) experimental; urgency=low

  * [7c1a75c] Imported Upstream version 3.0.7
  * [9381ece] Drop 0003-Do-nothing-if-cman_tool-isn-t-there.patch fixed
    upstream
  * [8ed7908] Bump (build-)dep on corosync
  * [5b162fa] Enable gfs since it defaults to off now upstream.
  * [1d4ad8f] Imported Upstream version 3.0.9
  * [09c214b] Version dependencies of meta package
  * [4352b38] Redo patches
  * [61487cc] New patch 0003-Don-t-rely-on-chkconfig-and-check-for-
    network-manage.patch Don't rely on chkconfig and check for network-
    manager

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Mar 2010 22:29:05 +0100

redhat-cluster (3.0.6-5) unstable; urgency=low

  * [ebda28c] Don't ship drbd resource script (Closes: #566095)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Jan 2010 20:45:52 +0100

redhat-cluster (3.0.6-4) unstable; urgency=low

  * [9725a65] Only install schema (Closes: #565382)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Jan 2010 16:39:40 +0100

redhat-cluster (3.0.6-3) unstable; urgency=low

  * Upload to unstable
  * [19bd29c] Depend on cman (Closes: #563787)
  * [2a019fa] Genereate proper depends for lcsos
  * [e276e1d] Add schema

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Jan 2010 21:00:27 +0100

redhat-cluster (3.0.6-2) experimental; urgency=low

  * [e16890c] Update de.po (Closes: #562707) - thanks to Helge Kreutzmann
  * [e1b336d] Update pt debconf translation (Closes: #563015) - thanks to
    Américo Monteiro
  * [e01aa76] Update ru debconf translation (Closes: #563345) - thanks to Yuri
    Kozlov
  * [f959fd1] Update sv debconf translation (Closes: #562928) - thanks to
    Martin Bagge
  * [bbb4b4a] Run debconf-updatepo

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Jan 2010 14:53:45 +0100

redhat-cluster (3.0.6-1) experimental; urgency=low

  * [b3b823a] Imported Upstream version 3.0.6
  * [3e69621] run debconf-updatepo during clean
  * [cb83708] build-depend on po-debconf
  * [b8b59d7] remove one more trailing whitespace
  * [ccd9a39] Depend on libxml2-utils for ccs_config_validate
  * [ff09490] redo patches
  * [08a23fa] Do nothing if cman_tool isn't there so we don't report an error
    if the package was removed but not purged.
  * [bbec984] Drop 0003-add-LD_LIBRARY_PATH-so-we-find-liblogthread.patch
    - applied upstream.


=== debian/control ===
Source: redhat-cluster
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>,
 Guido Günther <agx@sigxcpu.org>, Martin Loschwitz <madkiss@debian.org> 
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=debian-ha/redhat-cluster.git;a=summary
Vcs-Git: git://git.debian.org/debian-ha/redhat-cluster.git
Build-Depends: debhelper (>= 9), libxml2-dev, libncurses5-dev,
 linux-libc-dev, libvirt-dev (>= 0.3.0), libnss3-dev, libnspr4-dev, bzip2, libslang2-dev, libldap2-dev, perl-modules,
 libcorosync-dev (>= 1.3.0),
 libopenais-dev (>= 1.1.4),
 openais-dev (>= 1.1.4),
 xsltproc,
 python-pexpect,
 po-debconf,
 libglib2.0-dev,
 libbz2-dev,
 libltdl7-dev,
 libdbus-1-dev

Package: redhat-cluster-suite
Architecture: all
Depends: ${misc:Depends}, cman (>= ${binary:Version}), rgmanager (>= ${binary:Version}),
 gfs2-utils (>= 3.1), fence-agents, resource-agents
Description: Red Hat cluster suite - metapackage
 RHCS is a cluster management infrastructure, for building
 high-availability multi-node clusters with service and IP failover on
 top of shared Fibre Channel/iSCSI storage devices.
 .
 The only scope for this package is to install the full Red Hat Cluster Suite
 in one operation. It is safe to remove it.

Package: cman
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, corosync (>= 1.2.1),
 openais (>= 1.1.1), python, openipmi, sg3-utils, python-pexpect,
 libnet-snmp-perl, libnet-telnet-perl, snmp, telnet, openssh-client,
 python-openssl, libxml2-utils, xsltproc
Conflicts: libdlm-dev (<= 2.20090112-0ubuntu3)
Description: Red Hat cluster suite - cluster manager
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN is a symmetric general-purpose cluster manager. It provides a
 service manager that handles service groups, plus a connection
 manager that handles cluster membership management, messaging among
 the cluster nodes, event notification, quorum and state transitions.
 .
 This package contains only tools for controlling the cluster manager
 itself.

Package: liblogthread3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster logging libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The logthread library provides a simple logging API designed for
 cluster applications.
 .
 This package contains the client libraries.

Package: liblogthread-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblogthread3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster logging development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The logthread library provides a simple logging API designed for
 cluster applications.
 .
 This package contains the files needed for developing applications.

Package: libccs3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster configuration libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 This package contains the client libraries.

Package: libccs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libccs3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 It shouldn't be used for new development. Use libconfdb from
 corosync instead.

Package: libccs-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster configuration module
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 The ccs library provides a simplified XPath implementation to access
 CMAN/Corosync configuration data via the same API as the old and
 deprecated libccs provided by ccsd.
 .
 This module implements a Perl interface to the libccs library.
 It shouldn't be used for new development. Use libconfdb from
 corosync instead.

Package: libcman3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - cluster manager libraries
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN provides a general-purpose Corosync/OpenAIS-based cluster manager.
 .
 This package contains the client libraries.

Package: libcman-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcman3 (= ${binary:Version})
Description: Red Hat cluster suite - cluster manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 CMAN provides a general-purpose Corosync/OpenAIS-based cluster manager.
 .
 This package contains the files needed for developing applications.

Package: libdlm3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: udev (<< 0.136-1)
Description: Red Hat cluster suite - distributed lock manager library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlm-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libdlm3 (= ${binary:Version})
Description: Red Hat cluster suite - distributed lock manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.

Package: libdlmcontrol3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - distributed lock manager library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This is the client library for applications using the lock manager.
 The lock manager itself is a kernel module.

Package: libdlmcontrol-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdlmcontrol3 (= ${binary:Version})
Description: Red Hat cluster suite - distributed lock manager development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 DLM is a symmetric general-purpose distributed lock manager. It is
 used for example by GFS and the distributed volume manager.
 .
 This package contains the files needed for developing applications
 that use the lock manager.

Package: libfence4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Red Hat cluster suite - fence client library
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 fenced is the daemon in charge of controlling cluster node fencing.
 .
 This is the client library for requesting node fencing.

Package: libfence-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfence4 (= ${binary:Version})
Description: Red Hat cluster suite - fence server development files
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 fenced is the daemon in charge of controlling cluster node fencing.
 .
 This package contains the files needed for developing applications
 that need to request node fencing.

Package: rgmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, cman (= ${binary:Version}),
 iproute, iputils-arping, iputils-ping, nfs-kernel-server, nfs-common,
 perl, gawk, net-tools
Conflicts: nfs-user-server
Description: Red Hat cluster suite - clustered resource group manager
 This package is part of the Red Hat Cluster Suite, a complete
 high-availability solution.
 .
 Resource Group Manager provides high availability of critical server
 applications in the event of planned or unplanned system downtime.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# enable hardened building
export DEB_BUILD_HARDENING=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

BUILDROOT := $(shell pwd)

%:
	dh $@

override_dh_auto_configure:
	dh_testdir

	./configure --sbindir=/usr/sbin \
		    --libexecdir=/usr/lib \
		    --disable_kernel_check

override_dh_auto_build:
	dh_testdir

	$(MAKE) all

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(BUILDROOT)/debian/tmp/

	cp $(BUILDROOT)/debian/tmp/etc/init.d/cman $(BUILDROOT)/debian/cman.init
	cp $(BUILDROOT)/debian/tmp/etc/init.d/rgmanager $(BUILDROOT)/debian/rgmanager.init

	# no need for upstream doc install
	rm -rf $(BUILDROOT)/debian/tmp/usr/share/doc/cluster

	# manual craft
	install -d -m 0755 debian/tmp/etc/cluster

	install -d -m 0755 debian/tmp/lib/udev/rules.d
	mv debian/tmp/lib/udev/rules.d/51-dlm.rules debian/tmp/lib/udev/rules.d/45-dlm.rules

	dh_install --sourcedir=debian/tmp --list-missing

	dh_installdirs
	dh_link
	dh_installlogrotate
	dh_installdocs
	dh_installchangelogs
	dh_installdebconf
	dh_installinit -p cman --no-start --no-restart-on-upgrade -- start 61 S . start 5 0 6 .
	dh_installinit -p cman --name=qdiskd --no-start --no-restart-on-upgrade -- start 62 S . start 4 0 6 .
	dh_installinit -p cman --name=scsi_reserve --no-start --no-restart-on-upgrade -- start 63 S . start 3 0 6 .
	dh_installinit -p rgmanager --no-start --no-restart-on-upgrade -- start 65 S . start 1 0 6 .

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	dh_clean

	[ ! -f make/defines.mk ] || $(MAKE) distclean

	rm -rf debian/*.init
	rm -rf *-stamp
	rm -rf debian/patched
	debconf-updatepo

override_dh_strip:
	dh_strip -a
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/cman/usr/lib/lcrso/*.lcrso
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -V

override_dh_shlibdeps:
	dh_shlibdeps -a -v -- debian/cman/usr/lib/lcrso/*.lcrso

override_dh_installinit: 
	true

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
https://fedorahosted.org/releases/c/l/cluster/cluster-([\d\.]*)\.tar\.gz
